/*
================================ COPYRIGHT ================================
The contents of this file are subject to the VTech Informations Ltd. License
of VT-OS Ver. 1.1 operating system (the "License"); you may not use this 
file except in compliance with the License.  
 
Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
for the specific language governing rights and limitations under the License.
 
The Original Code is VT-OS Ver. 1.1 Operating System, released 
on October 1st, 1999

The Initial Developer of the Original Code is VTech Informations Ltd.  All 
codes are Copyright (C) VTech Informations Ltd. 1999.  All Rights Reserved.
===========================================================================
*/

/*
===========================================================================
File        :   str.h
Author(s)   :   Kenng Ng
Company     :   VTech Informations Ltd.
Project     :   Helio 
Date:	    :   October 1st, 1999
Purpose:	:   header file for string functions
Revision    :   1.1
Note        :   None
===========================================================================
*/              


#ifdef PR31700
size_t strlen(signed char *string);
//int strcmp(signed char *string1, signed char *string2);
char *strcpy(char *dest, const char *src);
#endif
#ifdef PC_SIM
size_t strlen(signed char *string);
int strcmp(signed char *string1, signed char *string2);
char *strcpy(char *dest, const char *src);
size_t strlen(signed const char *string);
int strcmp(signed char *string1, signed const char *string2);
signed char *strcpy(signed char *dest, signed char *src);
char *strcpy(const char *dest, const char *src);
void strcpy(signed const char *dest, const char *src);
#endif

